<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for accounts in accounts package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  accounts module in accounts package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Accounts',
    'names'         => 'Accounts',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Accounts',
        'sub'   => 'Accounts',
        'list'  => 'List of accounts',
        'edit'  => 'Edit accounts',
        'create'    => 'Create new accounts'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'website'                    => 'Please enter website',
        'email'                      => 'Please enter email',
        'phone'                      => 'Please enter phone',
        'fax'                        => 'Please enter fax',
        'billing_address'            => 'Please enter billing address',
        'billing_city'               => 'Please enter billing city',
        'billing_state'              => 'Please enter billing state',
        'billing_country'            => 'Please enter billing country',
        'billing_zipcode'            => 'Please enter billing zipcode',
        'shipping_address'           => 'Please enter shipping address',
        'shipping_city'              => 'Please enter shipping city',
        'shipping_state'             => 'Please enter shipping state',
        'shipping_country'           => 'Please enter shipping country',
        'shipping_zipcode'           => 'Please enter shipping zipcode',
        'detail_type'                => 'Please enter detail type',
        'sic_no'                     => 'Please enter sic no',
        'industry'                   => 'Please enter industry',
        'description'                => 'Please enter description',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'website'                    => 'Website',
        'email'                      => 'Email',
        'phone'                      => 'Phone',
        'fax'                        => 'Fax',
        'billing_address'            => 'Billing address',
        'billing_city'               => 'Billing city',
        'billing_state'              => 'Billing state',
        'billing_country'            => 'Billing country',
        'billing_zipcode'            => 'Billing zipcode',
        'shipping_address'           => 'Shipping address',
        'shipping_city'              => 'Shipping city',
        'shipping_state'             => 'Shipping state',
        'shipping_country'           => 'Shipping country',
        'shipping_zipcode'           => 'Shipping zipcode',
        'detail_type'                => 'Detail type',
        'sic_no'                     => 'Sic no',
        'industry'                   => 'Industry',
        'description'                => 'Description',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'website'                    => ['name' => 'Website', 'data-column' => 2, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 3, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 4, 'checked'],
        'fax'                        => ['name' => 'Fax', 'data-column' => 5, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Accounts',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
