<?php

namespace Bixo\Accounts\Repositories\Eloquent;

use Bixo\Accounts\Interfaces\AccountsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class AccountsRepository extends BaseRepository implements AccountsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.accounts.accounts.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.accounts.accounts.model.model');
    }
}
